package co.gov.igac.snc.persistence.util;

/**
 * Enumeracion para recuperar el id de los Tipos de documentos
 *
 * Corresponden a los que están el la tabla TIPO_DOCUMENTO
 *
 * @author juan.agudelo
 * @deprecated usar la enumeración ETipoDocumento que también tiene el id y es más completa
 */
/*
 * @modified pedro.garcia deprecated porque esto es una chambonada de Gabriel, porque en
 * ETipoDocumento está el id del tipo de documento
 */
@Deprecated
public enum ETipoDocumentoId {

    //D: nombre (id en la tabla)
    CERTIFICADO_DE_LIBERTAD_Y_TRADICION_ORIGINAL_O_COPIA(6L),
    CERTIFICADO_DE_NOMENCLATURA(18L),
    COMUNICACION_AUTO_DE_PRUEBAS(85L),
    COMUNICACION_DE_NOTIFICACION(36L),
    DECLARACION_DE_CONSTRUCCION(16L),
    DOCUMENTO_DE_AUTORIZACION_DE_NOTIFICACION(40L),
    DOCUMENTO_DE_NOTIFICACION(39L),
    DOCUMENTO_DONDE_SE_ESPECIFIQUE_EL_AREA_DE_CONSTRUCCION_CON_SU_RESPECTIVO_VALOR_POR_METRO_CUADRADO(
        26L),
    DOCUMENTO_DONDE_SE_ESPECIFIQUE_EL_AREA_DE_TERRENO_CON_SU_RESPECTIVO_VALOR_POR_METRO_CUADRADO(25L),
    DOCUMENTO_QUE_SUSTENTE_LA_SOLICITUD(27L),
    DOC_BLOQUEO_MASIVO_PREDIO(47L),
    DOC_BLOQUEO_MASIVO_PERSONA(48L),
    DOC_SOPORTE_BLOQUEO_PREDIO(45L),
    DOC_SOPORTE_BLOQUEO_PERSONA(46L),
    DOC_SOPORTE_CANCELACION(54L),
    DOC_SOPORTE_DESBLOQUEO_PREDIO(43L),
    DOC_SOPORTE_DESBLOQUEO_PERSONA(44L),
    DOCUMENTO_RESULTADO_DE_PRUEBAS(32L),
    EDICTO(37L),
    FOTOCOPIA_DE_ESCRITURA_PUBLICA(10L),
    FOTOCOPIA_DE_LA_CEDULA(5L),
    FOTOCOPIA_DE_LA_ESCRITURA_PUBLICA_AJUSTADA(30L),
    FOTOCOPIA_DEL_CERTIFICADO_DE_EXISTENCIA_Y_REPRESENTACION_LEGAL15(15L),
    FOTOCOPIA_DE_LA_ESCRITURA_PUBLICA_DONDE_SE_INCLUYE_EL_REGIMEN_DE_PROPIEDAD_HORIZONTAL(23L),
    FOTOCOPIA_DE_LA_ESCRITURA_PUBLICA_O_CERTIFICADO_DE_LIBERTAD_ORIGINAL_O_COPIA(22L),
    FOTOGRAFIA(9L),
    IMA_GEO_PREDIO_ANTES_TRAMITE(34L),
    IMA_GEO_PREDIO_DESPUES_TRAMITE(35L),
    MEMORANDO_AMPLIACION_COMISION(53L),
    MEMORANDO_APLAZAMIENTO_COMISION(51L),
    MEMORANDO_CREACION_COMISION(84L),
    MEMORANDO_CANCELACION_COMISION(50L),
    MEMORANDO_REACTIVACION_COMISION(52L),
    MEMORANDO_SUSPENSION_COMISION(49L),
    OFICIOS_REMISORIOS(3L),
    OTRO(7L),
    RESOLUCION_CONSERVACION(8L),
    SOLICITUD_DE_DOCUMENTOS_CATASTRALES(31L),
    SOLICITUD_ESCRITA_CON_SOPORTES(29L),
    SOLICITUD_ESCRITA_POR_CORREO_CERTIFICADO(24L),
    INFORME_VISITA_REVISION_O_AUTOAVALUO(96L),
    SOLICITUD_ESCRITA_VERBAL_O_POR_CORREO(20L),
    COPIA_BD_GEOGRAFICA_ORIGINAL(97L),
    COPIA_BD_GEOGRAFICA_FINAL(98L);

    private Long tipoDocumentoId;

    private ETipoDocumentoId(Long tipoDocumentoId) {
        this.tipoDocumentoId = tipoDocumentoId;
    }

    public Long getId() {
        return this.tipoDocumentoId;
    }
}
